unsquashfs instead of "cp -a"

Asked by Andrea Gelmini

Hi all,
   this little stupid patch force the use of /usr/bin/unsquashfs, instead of "cp -a", to unpack rootfs. it's a lot faster, of course. less seek, linear decompression, and so on. Do you think is it right to include in next release?

Thanks a lot for your work and time,
Gelma

------- begin -----
--- remaster-live-cd_mine.sh 2008-02-21 18:32:01.033791599 +0100
+++ remaster-live-cd.sh 2008-02-21 18:31:16.118041044 +0100
@@ -182,8 +182,7 @@
 function unpack_rootfs()
 {
        echo "Unpacking SquashFS image..."
- #cp -a "$SQUASHFS_MOUNT_DIR" "$REMASTER_DIR" || failure "Cannot copy files from $SQUASHFS_MOUNT_DIR to $REMASTER_DIR, error=$?"
- /usr/bin/unsquashfs -i -d "$REMASTER_DIR" "$SQUASHFS_IMAGE" || failure "Cannot copy files from $SQUASHFS_MOUNT_DIR to $REMASTER_DIR, error=$?"
+ cp -a "$SQUASHFS_MOUNT_DIR" "$REMASTER_DIR" || failure "Cannot copy files from $SQUASHFS_MOUNT_DIR to $REMASTER_DIR, error=$?"
 }

 function prepare_rootfs_for_chroot()
------- end ---------

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu Customization Kit Edit question
Assignee:
No assignee Edit question
Solved by:
Andrea Gelmini
Solved:
Last query:
Last reply:
Revision history for this message
Fabrizio Balliano (fabrizio-balliano) said :
#1

this sounds really interesting, I tried that some time ago but unsquashfs did not support squashfs 3 or something like that. on what ubuntu release did you try that?

thank you anyway
cheers

Revision history for this message
Andrea Gelmini (gelma) said :
#2

Hi Fabrizio,
   it works with squashfs-tools_3.2r2-2build1_i386.deb, the one in Ubuntu 7.10.

Thanks for your time,
Gelma